using System;

namespace ConverGrados
{
  class CApGrados
  {
    // Definición de constantes
    private const int limInferior = -30;
    private const int limSuperior = 100;
    private const int incremento = 6;

    public static void Main(string[] args)
    {
      // Declaración de variables
      CGrados grados = new CGrados(); // objeto grados
      int gradosCent = limInferior;
      float gradosFahr = 0;

      while (gradosCent <= limSuperior)
      {
        // Asignar al objeto grados el valor en
        // grados centígrados
        grados.CentígradosAsignar(gradosCent);
        // Obtener del objeto grados los grados fahrenheit
        gradosFahr = grados.FahrenheitObtener();
        // Escribir la siguiente línea de la tabla
        Console.Write("{0,10:D} C {1,10:F2} F\n",
                      gradosCent, gradosFahr);
        // Siguiente valor
        gradosCent += incremento;
      }
      
      Console.Write("Pulse una tecla para continuar...");
      Console.ReadKey(true);
    }
  }
}
